# opentl::tracker::MCMCParticle Class Reference

Inherits opentl::tracker::Tracker.

List of all members.

## Classes
struct | Param
## Public Member Functions
virtual void | correct (TargetPtrVector &targets)
| TODO.
virtual void | init (TargetPtrVector &targets, std::vector< boost::shared_ptr< opentl::core::State > > *initStates=NULL, std::vector< boost::shared_ptr< math::SquareMatrix > > *initCovs=NULL, std::vector< int > *nHypotheses=NULL)
| Initialize: allocate internal data, and update warp, for all targets.
| MCMCParticle (opentl::modalities::Likelihood &likelihood, opentl::modelprojection::Warp &warp, int camIdx, MCMCParticle::Param *param=NULL)
| constructor
virtual void | predict (TargetPtrVector &targets)
| NOT USED.
virtual | ~MCMCParticle ()
| destructor
## Protected Member Functions
virtual void | output (TargetPtrVector &targets)
| computes the single output states of the respective target distributions

## Detailed Description

multi target Monte Carlo Markov Chain based particle filter

Author:
  Thorsten Roeder <roeder@in.tum.de>

## Constructor & Destructor Documentation

opentl::tracker::MCMCParticle::MCMCParticle | ( | opentl::modalities::Likelihood & | likelihood,
|  | opentl::modelprojection::Warp & | warp,
|  | int | camIdx,
|  | MCMCParticle::Param * | param = `NULL` |
| ) |  |  |

constructor

Parameters:

  | likelihood | Likelihood pipeline instance (entry point of the template pipeline)
  | warp | Warp instance
  | camIdx | Camera index
  | param | Optional parameter struct

virtual opentl::tracker::MCMCParticle::~MCMCParticle | ( |  | ) | `[virtual]`

destructor

## Member Function Documentation

virtual void opentl::tracker::MCMCParticle::correct | ( | TargetPtrVector & | targets | ) | `[virtual]`

TODO.

Implements opentl::tracker::Tracker.

virtual void opentl::tracker::MCMCParticle::init | ( | TargetPtrVector & | targets,
|  | std::vector< boost::shared_ptr< opentl::core::State > > * | initStates = `NULL`,
|  | std::vector< boost::shared_ptr< math::SquareMatrix > > * | initCovs = `NULL`,
|  | std::vector< int > * | nHypotheses = `NULL` |
| ) |  |  | `[virtual]`

Initialize: allocate internal data, and update warp, for all targets.

Parameters:

  | targets | Vector of targets
  | initStates | Vector of initial states (optional); it must have same size of targets
  | initCovs | Vector of initial covariances (optional); it must have the same size of targets
  | nHypotheses | Vector with number of state hypotheses for each target distribution; it must have same size of targets

Implements opentl::tracker::Tracker.

virtual void opentl::tracker::MCMCParticle::output | ( | TargetPtrVector & | targets | ) | `[protected, virtual]`

computes the single output states of the respective target distributions

Reimplemented from opentl::tracker::Tracker.

virtual void opentl::tracker::MCMCParticle::predict | ( | TargetPtrVector & | targets | ) | `[virtual]`

NOT USED.

Implements opentl::tracker::Tracker.